// Shader taken from: http://webglsamples.googlecode.com/hg/electricflower/electricflower.html

#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D CC_Texture0;

uniform vec2 blurSize;
uniform vec4 substract;

//void main() {
//	vec4 sum = vec4(0.0);
//	sum += texture2D(CC_Texture0, v_texCoord - 4.0 * blurSize) * 0.05;
//	sum += texture2D(CC_Texture0, v_texCoord - 3.0 * blurSize) * 0.09;
//	sum += texture2D(CC_Texture0, v_texCoord - 2.0 * blurSize) * 0.12;
//	sum += texture2D(CC_Texture0, v_texCoord - 1.0 * blurSize) * 0.15;
//	sum += texture2D(CC_Texture0, v_texCoord                 ) * 0.16;
//	sum += texture2D(CC_Texture0, v_texCoord + 1.0 * blurSize) * 0.15;
//	sum += texture2D(CC_Texture0, v_texCoord + 2.0 * blurSize) * 0.12;
//	sum += texture2D(CC_Texture0, v_texCoord + 3.0 * blurSize) * 0.09;
//	sum += texture2D(CC_Texture0, v_texCoord + 4.0 * blurSize) * 0.05;
//
//	gl_FragColor = (sum - substract) * v_fragmentColor;
//}


#ifdef GL_ES
precision mediump float;
#endif

vec4 nyan(vec2 p)
{
    float t = CC_Time[1];
    float a = blurSize.x * 2.0;
    //float a = mod(t, 256.0);
    //p.y =  p.y + p.x * 0.1 * sin((p.x + t) * 5.0);
    //p.y =  p.y + p.x * 0.1 * sin((p.x + a) * 5.0);
    p.y = p.y + p.x *0.1 * sin((p.x + a) * 4.0);    
    vec4 tc = texture2D(CC_Texture0, p);
    return tc;
}

void main(void)
{
    vec2 uv = v_texCoord;
    vec4 col = nyan(uv);
    if(col.w == 0.0){
        discard;
    }else{
        gl_FragColor = col;
    }
}

